Subject: Ticket Assigned - Landmark Group
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 04 Feb 2021 21:07:38 +0000

Hi Mohammad Humayun,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Landmark Group My name is Sanawal Dildar and I'm a supplier of leather handmade shoes. I'm located in Bahrain. But we have factory in Pakistan for leather handmade shoes. We have different types of leather that we are using. Like sheep leather crocodile leather buffalo leather cow leather ostrich leather. And we are making customize shoes in leather as per customer choice.
I'm sending you my catalog. Please watch it. You can contact with at my number 00973-38184854
Or by email [email-masked].
Thank you very much https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2056972